# root user
apt-get install ca-certificates
echo "precedence ::ffff:0:0/96  100" >> /etc/gai.conf

wget https://lab.nexedi.com/yusei/a/raw/master/setup.sh

sh setup.sh

# Go to user's home directory

git clone https://lab.nexedi.com/nexedi/slapos.git

# Build ERP5 and Wendelin. It may take 12 hours.
# Check /opt/slapos/log/slapos-node-software.log
# Replace USER with your real user
slapos supply /home/USER/slapos/software/wendelin/software.cfg local_computer

# Once the software release was built, request an instance
# Edit software_url in this script
wget https://lab.nexedi.com/yusei/a/raw/master/request_wendelin_instance.py

# Request an instance
# This should not take a lot of time.(only a few minute)
slapos console < request_wendelin_instance.py

# Check if your services are running
slapos node

# Check /opt/slapos/log/slapos-node-instance.log
# If ERP5 is deployed, you can see your password
slapos console < request_wendelin_instance.py
